package com.ruoyi.project.ehs.service;

import com.ruoyi.project.ehs.domain.TApproveDanger;

import java.util.List;

/**
 * 隐患申请Service接口
 *
 * @author ruoyi
 * @date 2021-02-20
 */
public interface ITApproveDangerService
{
    /**
     * 查询隐患申请
     *
     * @param id 隐患申请ID
     * @return 隐患申请
     */
    public TApproveDanger selectTApproveDangerById(Long id);

    /**
     * 查询隐患申请列表
     *
     * @param tApproveDanger 隐患申请
     * @return 隐患申请集合
     */
    public List<TApproveDanger> selectTApproveDangerList(TApproveDanger tApproveDanger);

    /**
     * 新增隐患申请
     *
     * @param tApproveDanger 隐患申请
     * @return 结果
     */
    public int insertTApproveDanger(TApproveDanger tApproveDanger);

    /**
     * 修改隐患申请
     *
     * @param tApproveDanger 隐患申请
     * @return 结果
     */
    public int updateTApproveDanger(TApproveDanger tApproveDanger);

    /**
     * 批量删除隐患申请
     *
     * @param ids 需要删除的隐患申请ID
     * @return 结果
     */
    public int deleteTApproveDangerByIds(Long[] ids);

    /**
     * 删除隐患申请信息
     *
     * @param id 隐患申请ID
     * @return 结果
     */
    public int deleteTApproveDangerById(Long id);
}
